Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class CreateVolumeResult

    java.lang.Object
      com.amazonaws.services.ec2.model.CreateVolumeResult

    public class CreateVolumeResult

extends Object

The result of creating a new EBS volume.

Constructor Summary
`CreateVolumeResult()`

Method Summary
`Volume` | `getVolume()` The newly created EBS volume.
`void` | `setVolume(Volume volume)` The newly created EBS volume.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateVolumeResult` | `withVolume(Volume volume)` The newly created EBS volume.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateVolumeResult

    public CreateVolumeResult()

Method Detail

### getVolume

    public Volume getVolume()

  The newly created EBS volume.

  Returns:
    The newly created EBS volume.

### setVolume

    public void setVolume(Volume volume)

  The newly created EBS volume.

  Parameters:
    `volume` - The newly created EBS volume.

### withVolume

    public CreateVolumeResult withVolume(Volume volume)

  The newly created EBS volume.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `volume` - The newly created EBS volume.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.